/**
 * Database.java - "Programmering i Java", 4.utgave - 2009-07-01
 *
 * Interface for en databasewrapper mot en persondatabase.
 */

package mittBibliotek.database;
import mittBibliotek.Person;
import java.util.ArrayList;
import java.rmi.*;

public interface Database extends Remote {
  ArrayList<Person> finnAlle() throws RemoteException;
  boolean endreNavn(Person personen) throws RemoteException;
  Person registrerNyPerson(String fornavn, String etternavn) throws RemoteException;
  boolean slettPerson(int nr) throws RemoteException;
}