/**
 * DatabaseTjener.java   - "Programmering i Java", 4.utgave - 2009-07-01
 *
 * Klassen genererer et fabrikkobjekt for databasekontakt og registrerer dette i rmi-registeret.
 * Setter opp forbindelse til en bestemt Java DB-database.
 *
 * Rmi-registeret startes fra katalogen over mittBibliotek.
 */
package mittBibliotek.database;
import java.rmi.Naming;
import static javax.swing.JOptionPane.*;

class DatabaseTjener {
  public static void main(String[] args) throws Exception {
    String dbDriver = "org.apache.derby.jdbc.ClientDriver";
    String dbNavn = "jdbc:derby://localhost:1527/persondata;user=vprg;password=vprg";
    int poolKapasitet = 3;
    DbWrapperFabrikkImpl db = new DbWrapperFabrikkImpl(poolKapasitet,
                                  dbDriver, dbNavn);
    Naming.rebind("Persondatabase", db);
    showMessageDialog(null,
                     "N er databasepoolen oppe. Trykk Ok nr den skal stenges.");
    db.stengDatabasePool();
    System.exit(0);
  }
}